For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • POSTMove feature to project
      • PUT[BETA] Update a milestone strategy
      • GET[BETA] Get partial updates (SDK)
      • PUT[BETA] Change a feature environment safeguard
      • DEL[BETA] Delete a feature environment safeguard
      • POSTValidate a feature flag name.
      • GETGet all tags for a feature.
      • POSTAdds a tag to a feature.
      • PUTUpdates multiple tags for a feature.
      • DELRemoves a tag from a feature.
      • GETGet a feature environment
      • POSTDisable a feature flag
      • POSTEnable a feature flag
      • POSTBulk enable a list of features
      • POSTBulk disable a list of features
      • GETGet feature flag strategies
      • POSTAdd a strategy to a feature flag
      • GETGet a strategy configuration
      • PUTUpdate a strategy
      • DELDelete a strategy from a feature flag
      • PATCHChange specific properties of a strategy
      • POSTSet strategy sort order
      • GETGet all features in a project
      • POSTAdd a new feature flag
      • POSTClone a feature flag
      • GETGet a feature
      • PUTUpdate a feature flag
      • DELArchive a feature flag
      • PATCHModify a feature flag
      • POSTMark features as stale / not stale
      • GETGet variants for a feature in an environment
      • PUTCreate (overwrite) variants for a feature in an environment
      • PATCHPatch a feature's variants in an environment
      • PUTCreate (overwrite) variants for a feature flag in multiple environments
      • POSTValidates archive features
      • POSTArchives a list of features
      • GET[BETA] Get feature lifecycle
      • POST[BETA] Set feature completed
      • POST[BETA] Set feature uncompleted
      • POST[BETA] Create a feature link
      • PUT[BETA] Update a feature link
      • DEL[BETA] Delete a feature link
      • GET[BETA] Get all features lifecycle stage count
      • POSTValidate constraint
      • POSTAdd feature to favorites
      • DELRemove feature from favorites
      • POSTAdd project to favorites
      • DELRemove project from favorites

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIFeature flags

Patch a feature's variants in an environment

||View as Markdown|
PATCH
https://app.unleash-instance.example.com/api/admin/projects/:projectId/features/:featureName/environments/:environment/variants
PATCH
/api/admin/projects/:projectId/features/:featureName/environments/:environment/variants
$curl -X PATCH https://app.unleash-instance.example.com/api/admin/projects/projectId/features/featureName/environments/environment/variants \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "path": "/type",
> "op": "replace"
> }
>]'
1{
2 "version": 1,
3 "variants": [
4 {
5 "name": "blue_group",
6 "weight": 1.1,
7 "weightType": "variable",
8 "stickiness": "custom.context.field",
9 "payload": {
10 "type": "json",
11 "value": "{\"color\": \"red\"}"
12 },
13 "overrides": [
14 {
15 "contextName": "userId",
16 "values": [
17 "red",
18 "blue"
19 ]
20 }
21 ]
22 }
23 ]
24}
Apply a list of patches to the features environments in the specified environment. The patch objects should conform to the [JSON-patch format (RFC 6902)](https://www.rfc-editor.org/rfc/rfc6902).
Was this page helpful?
Previous

Create (overwrite) variants for a feature flag in multiple environments

Next
Built with

Apply a list of patches to the features environments in the specified environment. The patch objects should conform to the JSON-patch format (RFC 6902).

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

projectIdstringRequired
featureNamestringRequired
environmentstringRequired

Request

patchesSchema
pathstringRequired
The path to the property to operate on
openumRequired
The kind of operation to perform
fromstringOptional
The target to move or copy from, if performing one of those operations
valueanyOptional
The value to add or replace, if performing one of those operations

Response

featureVariantsSchema
versioninteger
The version of the feature variants schema.
variantslist of objects
All variants defined for a specific feature flag.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error